Skip to content
Start here

List Jobs

aisearch.instances.jobs.list(strid, JobListParams**kwargs) -> SyncV4PagePaginationArray[JobListResponse]
GET/accounts/{account_id}/ai-search/instances/{id}/jobs

Lists indexing jobs for an AI Search instance.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
page: Optional[int]
minimum1
per_page: Optional[int]
maximum50
minimum0
ReturnsExpand Collapse
class JobListResponse:
id: str
source: Literal["user", "schedule"]
One of the following:
"user"
"schedule"
description: Optional[str]
end_reason: Optional[str]
ended_at: Optional[str]
last_seen_at: Optional[str]
started_at: Optional[str]

List Jobs

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.aisearch.instances.jobs.list(
    id="my-ai-search",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
)
page = page.result[0]
print(page.id)
{
  "result": [
    {
      "id": "id",
      "source": "user",
      "description": "description",
      "end_reason": "end_reason",
      "ended_at": "ended_at",
      "last_seen_at": "last_seen_at",
      "started_at": "started_at"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "id",
      "source": "user",
      "description": "description",
      "end_reason": "end_reason",
      "ended_at": "ended_at",
      "last_seen_at": "last_seen_at",
      "started_at": "started_at"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}